rpc.nispasswdd(8)

NAME
rpc.nispasswdd, nispasswdd - NIS+ password update daemon

SYNOPSIS
rpc.nispasswdd [ -a attempts ] [ -c minutes ] [ -D ] [ -g ] [ -v ] [ -Y ]

DESCRIPTION
rpc.nispasswdd handles password update requests from nispasswd(1) and yppasswd(1). It updates password, GECOS and shell entries in the NIS+ passwd table.

rpc.nispasswdd is normally started from a system startup script after the NIS+ server (rpc.nisd(8)) has been started. rpc.nispasswdd will determine whether it is running on a machine that is a master server for one or more NIS+ directories. If it discovers that the host is not a master server, then it will promptly exit. It will also determine if rpc.nisd(8) is running in NIS(YP) compatibility mode and will register as yppasswdd for NIS(YP) clients as well. This could be forced with the -Y option, too.

rpc.nispasswdd will syslog all failed password update attempts, which will allow an administrator to determine whether someone was trying to "crack" the passwords.

OPTIONS

-a attempts
    Set the maximum number of attempts allowed to authenticate the caller within a password update request session. Failed attempts are syslogd(8) and the request is cached by the daemon. After the maximum number of allowed attempts the daemon severs the connection to the client. The default value is set to 3.

-c minutes
    Set the number of minutes a failed password update request should be cached by the daemon. This is the time during which if the daemon receives further password update requests for the same user and authentication of the caller fails, then the daemon will simply not respond. The default value is set to 30 minutes.

-D  Debug. Run in debugging mode.

-g  Generate DES credential. By default the DES credential is not generated for the user if they do not have one. By specifying this option, if the user does not have a credential, then one will be generated for them and stored in the NIS+ cred table. This is not implemented.

-v  Verbose. With this option, the daemon sends a running narration of what it is doing to the syslog daemon. This option is useful for debugging problems.

-Y  YP compat mode. You could force rpc.nispasswdd to run in NIS(YP) compat mode. This option should only be used, if the autodetection failed.

SEE ALSO
nispasswd(1), passwd(1), yppasswd(1), rpc.nisd(8), syslogd(8)

AUTHOR
This version of the rpc.nispasswdd daemon was written by Thorsten Kukuk <kukuk@suse.de>.